package test;

/**
 * TestUtil.java
 *
 * @author Duc M Le  <a href="mailto:dmle@doc.ic.ac.uk"><i>dmle@doc.ic.ac.uk</i></a>
 * Created on 26 July 2006
 * Department of Computing, Imperial College
 */

public class TestUtil {
  
  /**
   * Creates a new instance of TestUtil
   */
  public TestUtil() {
  }

  public static void main(String[] args) {
    String s = "a\"\"b";
    String pattern = "\"";
    String replacement = "\\\\\"";
    System.out.println("original string: " + s);
    System.out.println("pattern to search: " + pattern + "("+pattern.length()+" chars)");
    System.out.println("replacement: " + replacement + "("+replacement.length()+" chars)");
    System.out.println("safe string: \""+uk.ac.ic.doc.automed.Util.replaceAll(s, pattern, replacement)+"\"");
  }
}
